summaryrefslogtreecommitdiffstats
path: root/multimedia/nted
diff options
context:
space:
mode:
author Corrado Franco <conraid@gmail.com>2010-05-11 22:54:35 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:35 +0200
commitcae64dd6b6b218b5f4f8dd4b39a0f7433a6cebcb (patch)
tree6f5028902b8a728645d432b19b33896e7e2c604b /multimedia/nted
parent081ef2af86bb3123af5ff7d4cddfc2f262c2ef1f (diff)
downloadslackbuilds-cae64dd6b6b218b5f4f8dd4b39a0f7433a6cebcb.tar.gz
slackbuilds-cae64dd6b6b218b5f4f8dd4b39a0f7433a6cebcb.tar.xz
multimedia/nted: Added to 12.1 repository
Diffstat (limited to 'multimedia/nted')
-rw-r--r--multimedia/nted/README6
-rw-r--r--multimedia/nted/doinst.sh5
-rw-r--r--multimedia/nted/nted.SlackBuild99
-rw-r--r--multimedia/nted/nted.info9
-rw-r--r--multimedia/nted/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/multimedia/nted/README b/multimedia/nted/README
new file mode 100644
index 0000000000..711aee1e4f
--- /dev/null
+++ b/multimedia/nted/README
@@ -0,0 +1,6 @@
+NtEd is a GTK+ score editor. It intends to be really WYSIWYG: what
+you see on the screen is exactly what you get on printer output. It
+supports up to 4 voices per staff, drum notes, 5 lyrics lines,
+N-Tuplets, context changes, repeats with alternatives, configurable
+music instruments per staff, MIDI import/export, MusicXML import,
+Postscript export. Scores can be played through the ALSA sequencer.
diff --git a/multimedia/nted/doinst.sh b/multimedia/nted/doinst.sh
new file mode 100644
index 0000000000..f03388f6c5
--- /dev/null
+++ b/multimedia/nted/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/nted/nted.SlackBuild b/multimedia/nted/nted.SlackBuild
new file mode 100644
index 0000000000..357208cd9c
--- /dev/null
+++ b/multimedia/nted/nted.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# Slackware build script for nted
+#(http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml)
+#
+# Copyright 2008 Corrado Franco (http://www.conraid.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by SlackBuilds.org
+
+PRGNAM=nted
+VERSION=${VERSION:-1.4.15}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT* AUTHORS COPYING* ChangeLog FAQ INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --without-doc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Add slack-desc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Create package:
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/nted/nted.info b/multimedia/nted/nted.info
new file mode 100644
index 0000000000..bbe1fa90ea
--- /dev/null
+++ b/multimedia/nted/nted.info
@@ -0,0 +1,9 @@
+PRGNAM="nted"
+VERSION="1.4.15"
+HOMEPAGE="http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml"
+DOWNLOAD="http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted-1.4.15.tar.gz"
+MD5SUM="563e50c166bcb1b3a7c81e108c827d84"
+MAINTAINER="Corrado Franco"
+EMAIL="conraid@gmail.com"
+APPROVED="dsomero"
+ \ No newline at end of file
diff --git a/multimedia/nted/slack-desc b/multimedia/nted/slack-desc
new file mode 100644
index 0000000000..85481abde8
--- /dev/null
+++ b/multimedia/nted/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nted: NtEd (musical score editor for Linux)
+nted:
+nted: NtEd is a GTK+ score editor. It intends to be really WYSIWYG: what
+nted: you see on the screen is exactly what you get on printer output. It
+nted: supports up to 4 voices per staff, drum notes, 5 lyrics lines,
+nted: N-Tuplets, context changes, repeats with alternatives, configurable
+nted: music instruments per staff, MIDI import/export, MusicXML import,
+nted: Postscript export. Scores can be played through the ALSA sequencer.
+nted:
+nted: Home: http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
+nted: